%define anolis_release 2

%global pypi_name rfc3986
%global common_description %{expand:
A Python implementation of RFC 3986 including validation and authority parsing.}

Name:           python-%{pypi_name}
Version:        1.5.0
Release:        %{anolis_release}%{?dist}
Summary:        Validating URI References per RFC 3986

License:        ASL 2.0
URL:            https://rfc3986.readthedocs.io
Source0:        %pypi_source
BuildArch:      noarch

%description %{common_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}

%description -n python3-%{pypi_name} %{common_description}

%pyproject_extras_subpkg -n python3-%{pypi_name} idna2008

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x idna2008

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.5.0-2
- Rebuild with python3.11

* Tue May 16 2023 Funda Wang <fundawang@yeah.net> - 1.5.0-1
- Import package for anolis 23
